> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/cidr-block/describepools.md).

# DescribePools

## 1. API Description

This API (DescribePools) is used to query public IP pool information in the account. You can filter results by pool ID, region, or name. Supports pagination.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                               |
| -------------- | -------- | --------------- | --------------------------------------------------------------------------------------------------------- |
| poolIds        | No       | Array of String | Pool ID(s).                                                                                               |
| regionId       | No       | String          | Filter by the region ID of the public IP pool.                                                            |
| name           | No       | String          | <p>Pool name.</p><p>Fuzzy search supported.</p>                                                           |
| pageSize       | No       | Integer         | <p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Value range: \[1, 1000]</p> |
| pageNum        | No       | Integer         | <p>Number of pages returned.</p><p>Value range: \[1, +)</p><p>Default value: 1</p>                        |

## 3. Output Parameters

| Parameter Name | Type                                                                      | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                   | Number of pools meeting the filtering conditions.                                                                     |
| dataSet        | Array of [PoolInfo](/api-reference/compute/zec/datastructure.md#poolinfo) | Information on pools.                                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query pool list with IP range of `10.0.0.0/24`.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePools


Request:
{
  "poolIds": ["xxx"],
  "regionId": "asia-east-1"
  "pageSize": 10,
  "pageNum": 1
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "totalCount": 10,
    "dataSet": [
      {
        "poolId": "xxx",
        "regionId": "xxx",
        "name": "xxx",
        "createTime": "xxx",
      }
    ]
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/cidr-block/describepools.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
